# Contributing Guidlines

**Working on your first Pull Request?** You can *freely* learn about it from [How to Contribute to an Open Source Project on GitHub][PR]

## How to contribute with Pull Request (PR)

* Fork the project from the `testing` branch and submit a Pull Request (PR)
  * PR must be a fork from `testing` branch only.
  * Explain what the PR fixes or improves.
  * Screenshots recommended.
* Use sensible commit messages and follow the template.
  * If your PR fixes a separate issue number, include it in the commit message.
  * Also, always remember to fill the PR template.
* Use a sensible number of commit messages as well(_don't overdo_)

&nbsp; 

## Report Bug or Feature Request

If you've found a new  bug or you've come up with some new feature which can make VidGear API even better: 
* Remember first to go comprehensively through [**Wiki Documentation**][wiki]. 
* Just keep the it simple, in context, give it a nice title and follow the issue templates.
* Screenshots recommended.
* Finally, raise your [**Issue**](https://github.com/abhiTronix/vidgear/issues/new) where you can describe in details what the problem is, or what would you like to improve. 

&nbsp; 

## Become Stargazer :star:

If you think VidGear library is helpful and would like to help in return - **then you can be a :star2:[stargazer](https://github.com/abhiTronix/vidgear/stargazers):star2:**. _By starring this project, you're making it easier for others to find & trust this library._

&nbsp;

## Donate to Project development :heart_decoration:

If you would like to help the continued efforts of this project, any size donations are welcomed and highly appreciated:

[![Buy Me A Coffee][Coffee-badge]][coffee]

<!--
Internal URLs
-->
[Coffee-badge]:https://abhitronix.github.io/img/vidgear/orange_img.png
[coffee]:https://www.buymeacoffee.com/2twOXFvlA
[wiki]:https://github.com/abhiTronix/vidgear/wiki
[PR]: https://egghead.io/series/how-to-contribute-to-an-open-source-project-on-github
